/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

.p-no-margin {
	p {
		margin: 0;
	}
}

.netby-wrapper {
	padding-inline: 24px;
	&.mobile-full {
		@media screen and (max-width: 767px) {
			padding-inline: 0px;
		}
	}
}

.accent-1 {
	color: var(--e-global-color-accent);
}

.accent-2 {
	color: var(--e-global-color-352d5ab);
}

.accent-3 {
	color: var(--e-global-color-primary);
}

.netby-button {
	&.gold {
		a {
			color: var(--e-global-color-primary) !important;
			border: 1px solid var(--e-global-color-primary) !important;
			span {
				padding-left: 5px;
			}
			&:after {
				background-color: var(--e-global-color-primary);
			}
			&:before {
				border: 1px solid var(--e-global-color-primary);
			}
			&:hover {
				&:before {
					background-color: var(--e-global-color-primary);
				}
			}
		}
	}
	a {
		position: relative;
		padding-right: 66px !important;
		color: var(--e-global-color-secondary) !important;
		border: 1px solid var(--e-global-color-secondary) !important;
		span {
			padding-left: 5px;
		}
		&:after {
			content: "";
			position: absolute;
			top: 50%;
			right: 15px;
			display: block;
			width: 43px;
			height: 1px;
			background-color: var(--e-global-color-secondary);
			transition: all .3s;
			transform: translatey(-50%);
		}
		&:before {
			content: "";
			position: absolute;
			top: 50%;
			right: 5px;
			display: block;
			width: 20px;
			height: 20px;
			border: 1px solid var(--e-global-color-secondary);
			border-radius: 40px;
			transition: all .3s;
			transform: translatey(-50%);
		}
		&:hover {
			border: 1px solid var(--e-global-color-primary) !important;
			color: var(--e-global-color-primary) !important;
			&:after {
				right: 53px;
				width: 0;
				opacity: 0;
			}
			&:before {
				width: 16px;
				height: 16px;
				background-color: var(--e-global-color-primary);
				border-color: transparent;
				transform: translate(-38px, -50%);
			}
		}
	}
}

.netby-play {
	&:hover {
		svg {
			padding: 0px;
		}
	}
	svg {
		padding: 17px;
		background-color: rgba(255, 255, 255, 0.4);
		border-radius: 100px;
		transition: all .3s;
		box-sizing: border-box;
	}
	@media screen and (max-width: 767px) {
		svg {
			padding: 7px;
		}
	}
}

.netby-hotspot {
	.e-hotspot {
		.e-hotspot__button {
			&:before {
				background-color: #BCA573a3;
				border-radius: 50px;
			}
			&:after {
			  content: "";
			  position: absolute;
			  top: 50%;
			  left: 50%;
			  display: block;
			  width: 28px;
			  height: 28px;
			  background-image: url('plus.svg');
			  background-size: contain;
			  background-position: center;
			  background-repeat: no-repeat;
			  transform: translate(-50%, -50%);
			}
		}
		.e-hotspot__icon {
			opacity: 0;
		}
		&.e-hotspot--active {
			.e-hotspot__button {
				&:before,
				&:after {
					display: none;
				}
			}
			.e-hotspot__icon {
				opacity: 1;
			}
		}
	}
}

.netby-slider {
	&.reverse {
		.netby-slide {
			.column-1 {
				order: 1;
			}
			.column-2 {
				order: 0;
			}
		}
	}
	@media screen and (max-width: 880px) {
		.next-arrow {
			top: 72px !important;
    		left: auto;
    		right: 24px;
		}
		.prev-arrow {
			top: 72px !important;
    		right: 64px;
    		left: auto;
		}
		&.reverse {
			.netby-slide {
				.column-1 {
					order: 0;
				}
				.column-2 {
					order: 1;
				}
			}
		}
	}
	@media screen and (max-width: 767px) {
		.next-arrow {
			top: 68px !important;
    		left: auto !important;
    		right: 16px !important;
		}
		.prev-arrow {
			top: 68px !important;
    		right: 56px !important;
    		left: auto !important;
		}
	}
}

.netby-faq {
	.elementor-tab-title {
		border-bottom: 1px solid var(--e-global-color-primary);
	}
}

.netby-hover-card {
	.elementor-flip-box__layer__title {
		position: relative;
		margin: 0 auto 50px auto;
		line-height: 1;
		isolation: isolate;
		&:before {
			content: "";
			position: absolute;
			top: calc(50% + 16px);
			left: 50%;
			display: block;
			width: 120px;
			height: 120px;
			background-color: var(--e-global-color-primary);
			transform: translate(-50%, -50%);
			z-index: -1;
		}
	}
}

.netby-list {
	ul {
		padding-left: 20px;
		display: flex;
		flex-direction: column;
		gap: 40px;
	}
	@media screen and (max-width: 1000px) {
		ul {
			gap: 24px;
		}
	}
	@media screen and (max-width: 767px) {
		ul {
			gap: 14px;
		}
	}
}




/** ================================== IMAGE MAP PRO ================================== */

/* jetengine */
.elementor-element-cf305f7 .elementor-icon-list-item span {
	display: flex;
	gap: 4px;
}

#imp-turn-right, #imp-turn-left, #imp-back {
	cursor: pointer;
}

.imp-tooltip *, .imp-tooltip-content * {
	font-family: Mulish, Sans-serif !important;
	text-transform: uppercase;
}

.imp-tooltip {
	border-radius: 10px !important;
    padding: 15px !important;
    background: #28353d !important;
}

.imp-tooltip h3 {
	color: #fff !important;
	font-size: 24px !important;
	margin-bottom: 8px !important;
}

.imp-tooltip p {
	font-size: 14px !important;
}
	
	
.imp-object-poly polygon:hover {
    opacity: 0.5 !important;
}

.active-click polygon, .active-click path {
    opacity: 0.8 !important;
}


.imp-ui-light .imp-ui-layers-select {
	border-radius: 0 !important;
	color: #3C3C3B !important;
    font-family: "Montserrat", Sans-serif !important;
	border: 1px solid #D0AC69 !important;
	box-shadow: none !important;
	font-size: 18px !important;
	max-width: 220px !important;
	width: 100% !important;
}

.imp-ui-top-right .imp-ui-layers-menu-wrap {
	display: none !important;
}


#imp-turn-right, #imp-turn-left {
	display: none;
}

.imp-ui-bottom-right {
	top: 50px !important;
	@media screen and (max-width: 1000px) {
		top: 20px !important;
	}
}

#imp-back {
	background: #fff !important;
	border-radius: 0 !important;
	cursor: pointer !important;
	color: #3C3C3B !important;
    font-family: "Montserrat", Sans-serif !important;
	border: 0 !important;
	box-shadow: none !important;
	font-size: 18px !important;
	max-width: 220px !important;
	width: 100% !important;
    height: 42px;
    z-index: 9;
    position: relative;
	display: none;
	padding: 8px !important;
}

@media (max-width: 600px) {
	#imp-back {
		font-size: 12px !important;
		max-width: 120px !important;
		width: 100% !important;
		height: 22px;
        line-height: 100%;
        text-align: center;
        align-items: center;
	}
}

.imp-tooltip-content div:first-child {
	display: none;
}

@media (max-width: 620px) {
	.imp-ui-layers-menu-wrap {
		display: none;
	}
}

.building-layer-icon {
    pointer-events: none !important;
}

.status .elementor-widget-container .elementor-shortcode {
	display: flex;
	justify-content: center;
}

.imp-object-poly.imp-object {
	stroke: none !important;
	stroke-width: 0 !important;
}
	
/** Navigation */
.elementor-element-7f7f399 {
	margin: 0 auto;
	max-width: 1200px;

	.elementor-element-cfaf0ae,
	.elementor-element-e0e0535 {
		min-width: 300px;
		max-width: 300px;
		.elementor-icon-box-title {
			font-size: 14px !important;
		}
		svg {
			width: 20px;
		}
	}
	.elementor-icon-list-items  {
		justify-content: center;
		.elementor-icon-list-text {
			font-size: 14px;
		}
	}
	@media screen and (max-width: 1000px) {
		transform: translateY(0%);
	}
	@media screen and (max-width: 900px) {
		flex-wrap: wrap;
		.elementor-element-cfaf0ae,
		.elementor-element-e0e0535 {
			min-width: 50%;
			flex: 1;
		}
		.elementor-element-ae1a93c {
			min-width: 100%;
			order: 9;
		}
	}
	@media screen and (max-width: 550px) {
		.elementor-element-cfaf0ae,
		.elementor-element-e0e0535 {
			padding: 0;
			min-width: 100%;
			>div {
				margin: 0 auto;
			}
			.elementor-icon-box-wrapper {
				display: flex;
				align-items: center;
				gap: 5px;
				.elementor-icon-box-icon {
					margin: 0;
				}
			}
		}
	}
}

/* ============== IMP TABLE ============== */

#imp-table {
   	overflow-x: hidden;
	overflow-y: auto;
	height: auto;
	max-height: 400px;
}

#imp-table::-webkit-scrollbar {
	height: 6px;
	width: 6px;
}

#imp-table::-webkit-scrollbar-thumb {
    background-color: #a5825d;
}

#imp-table::-webkit-scrollbar-track {
    background-color: #f9f9f9;
}

#imp-table .elementor-element {
    white-space: nowrap;
}

/* Head */
#imp-table .imp-table-header {
	justify-content: center;
	gap: 0;
}
#imp-table .imp-table-header>div {
	flex: 1;
	min-width: 166px;
}

/* Body */
#imp-table .imp-table-body .jet-listing-grid__item div>div>div {
	padding-top: 0;
	min-width: 166px;
}

@media (max-width: 1200px) {
	#imp-table>div, #imp-table .elementor-tab-content {
		max-width: fit-content;
		width: fit-content;
	}
	#imp-table, #imp-table .elementor-tab-content {
		padding-left: 15px;
		box-sizing: border-box;
	}
	#imp-table {
		overflow-x: auto;
	}
}

.imp-table-body .jet-listing-grid__item {
	padding: 0;
}

.imp-tooltips-container.is-fullscreen {
	display: none !important;
}

.lokal-box {
	padding: 20px;
    text-align: center;
	background: #222222;
	margin: 20px;
    flex-direction: column;
	border-radius: 10px;
	opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

.lokal-box.active {
    opacity: 1;
    visibility: visible;
}

/* tab list */

#imp-table {
	overflow-x: hidden !important;
	overflow-y: auto !important;
	height: auto !important;
	max-height: 400px;
	@media screen and (max-width: 1320px) {
		overflow-x: auto !important;
	}
}

#imp-table::-webkit-scrollbar {
    width: 2px;
}

#imp-table::-webkit-scrollbar-thumb {
    background-color: #bca573;
}

#imp-table::-webkit-scrollbar-track {
    background-color: #f9f9f9;
}

@media (max-width: 1200px) {
	.elementor-17 .elementor-element.elementor-element-fb1b42e > .elementor-widget-container {
		margin: 0;
	}
}

/* menu item katalog */
@media (min-width: 1000px) {
	.menu-item.menu-item-2012 {
		display: none !important;
	}
}

#sticky-button svg {
	transform: rotate(-90deg);
}

#sticky-button .elementor-button:hover path {
	fill: #fff;
}

.tabela.zobacz a:hover, .tabela.kontakt a:hover {
	border: 1px solid var(--e-global-color-primary) !important;
    padding: 4px !important;
}

/* video home */

.home-video video {
	max-width: 320px;
	height: auto !important;
}

@media (max-width: 650px) {
	.home-video {
		display: flex;
    	justify-content: center;
	}
	.home-video video {
		margin-top: 32px;
	}
}

/* counters home */

.elementor-counter-number-wrapper .elementor-counter-number-prefix, .elementor-counter-number-wrapper .elementor-counter-number-suffix {
	display: none;
}

.netby-wrapper .elementor-counter {
	gap: 14px;
	align-items: center;
}

.netby-wrapper .elementor-counter .elementor-counter-number-wrapper {
	flex: unset;
}